# Generated by Django 5.1.6 on 2025-03-12 12:56

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="BlockClipboard",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "block_type",
                    models.CharField(
                        help_text="The type of block (StreamBlock name)", max_length=255
                    ),
                ),
                ("block_data", models.JSONField(help_text="The serialized block data")),
                (
                    "source_page",
                    models.IntegerField(
                        blank=True,
                        help_text="ID of the page the block was copied from",
                        null=True,
                    ),
                ),
                (
                    "source_app",
                    models.CharField(
                        blank=True,
                        help_text="The app that contains the source block",
                        max_length=255,
                    ),
                ),
                (
                    "timestamp",
                    models.DateTimeField(
                        auto_now_add=True, help_text="When the block was copied"
                    ),
                ),
                (
                    "label",
                    models.CharField(
                        blank=True,
                        help_text="Optional label for this clipboard item",
                        max_length=255,
                    ),
                ),
                (
                    "wagtail_version",
                    models.CharField(
                        blank=True,
                        help_text="Wagtail version at time of copying",
                        max_length=50,
                    ),
                ),
                (
                    "schema_version",
                    models.CharField(
                        blank=True,
                        help_text="Schema version of the block",
                        max_length=50,
                    ),
                ),
                (
                    "source_instance",
                    models.CharField(
                        blank=True,
                        help_text="URL or identifier of source Wagtail instance",
                        max_length=255,
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        help_text="The user who copied this block",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="block_clipboard_items",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Block Clipboard Item",
                "verbose_name_plural": "Block Clipboard Items",
                "ordering": ["-timestamp"],
            },
        ),
    ]
